light-mode-image
Learn
Credential configurationAPI Reference

Semantic CWT Credentials

Create a Semantic CWT Credential configuration

POST/v2/credentials/compact-semantic/configurations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The Credential Configuration payload

Response Body

application/json

application/json

curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations" \  -H "Content-Type: application/json" \  -d '{    "claimMappings": {      "firstName": {        "mapFrom": "claims.given_name",        "required": true      },      "address": {        "mapFrom": "claims.address.formatted"      },      "picture": {        "mapFrom": "claims.picture",        "defaultValue": "http://example.edu/img/placeholder.png"      },      "badge": {        "defaultValue": "http://example.edu/img/badge.png"      },      "providerSubjectId": {        "mapFrom": "authenticationProvider.subjectId"      }    }  }'
{
  "id": "983c0a86-204f-4431-9371-f5a22e506599",
  "type": "CourseCredential",
  "claimMappings": {
    "firstName": {
      "mapFrom": "claims.given_name",
      "required": true
    },
    "address": {
      "mapFrom": "claims.address.formatted"
    },
    "picture": {
      "mapFrom": "claims.picture",
      "defaultValue": "http://example.edu/img/placeholder.png"
    },
    "badge": {
      "defaultValue": "http://example.edu/img/badge.png"
    },
    "providerSubjectId": {
      "mapFrom": "authenticationProvider.subjectId"
    }
  },
  "revocable": true,
  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
  "expiresIn": {
    "years": 1,
    "months": 12,
    "weeks": 52,
    "days": 365,
    "hours": 24,
    "minutes": 1440,
    "seconds": 3600
  }
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

Retrieve all Semantic CWT Credential configurations

GET/v2/credentials/compact-semantic/configurations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Default100
Range1 <= value <= 1000
cursor?string

Starting point for the list of entries.

type?string

The optional credential type to filter on

Response Body

application/json

application/json

curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations"
{
  "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
  "data": [
    {
      "id": "983c0a86-204f-4431-9371-f5a22e506599",
      "type": "CourseCredential",
      "claimMappings": {
        "firstName": {
          "mapFrom": "claims.given_name",
          "required": true
        },
        "address": {
          "mapFrom": "claims.address.formatted"
        },
        "picture": {
          "mapFrom": "claims.picture",
          "defaultValue": "http://example.edu/img/placeholder.png"
        },
        "badge": {
          "defaultValue": "http://example.edu/img/badge.png"
        },
        "providerSubjectId": {
          "mapFrom": "authenticationProvider.subjectId"
        }
      },
      "revocable": true,
      "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
      "expiresIn": {
        "years": 1,
        "months": 12,
        "weeks": 52,
        "days": 365,
        "hours": 24,
        "minutes": 1440,
        "seconds": 3600
      }
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

Retrieve a Semantic CWT Credential configuration

GET/v2/credentials/compact-semantic/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the Semantic CWT credentials configuration.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"
{
  "id": "983c0a86-204f-4431-9371-f5a22e506599",
  "type": "CourseCredential",
  "claimMappings": {
    "firstName": {
      "mapFrom": "claims.given_name",
      "required": true
    },
    "address": {
      "mapFrom": "claims.address.formatted"
    },
    "picture": {
      "mapFrom": "claims.picture",
      "defaultValue": "http://example.edu/img/placeholder.png"
    },
    "badge": {
      "defaultValue": "http://example.edu/img/badge.png"
    },
    "providerSubjectId": {
      "mapFrom": "authenticationProvider.subjectId"
    }
  },
  "revocable": true,
  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
  "expiresIn": {
    "years": 1,
    "months": 12,
    "weeks": 52,
    "days": 365,
    "hours": 24,
    "minutes": 1440,
    "seconds": 3600
  }
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

Update a Semantic CWT Credential configuration

PUT/v2/credentials/compact-semantic/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the Semantic CWT credentials configuration.

Formatuuid

Request Body

application/json

Update a Credential Configuration

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations/3948c40e-6e19-4ffc-933c-91f643f24264" \  -H "Content-Type: application/json" \  -d '{    "claimMappings": {      "firstName": {        "mapFrom": "claims.given_name",        "required": true      },      "address": {        "mapFrom": "claims.address.formatted"      },      "picture": {        "mapFrom": "claims.picture",        "defaultValue": "http://example.edu/img/placeholder.png"      },      "badge": {        "defaultValue": "http://example.edu/img/badge.png"      },      "providerSubjectId": {        "mapFrom": "authenticationProvider.subjectId"      }    }  }'
{
  "id": "983c0a86-204f-4431-9371-f5a22e506599",
  "type": "CourseCredential",
  "claimMappings": {
    "firstName": {
      "mapFrom": "claims.given_name",
      "required": true
    },
    "address": {
      "mapFrom": "claims.address.formatted"
    },
    "picture": {
      "mapFrom": "claims.picture",
      "defaultValue": "http://example.edu/img/placeholder.png"
    },
    "badge": {
      "defaultValue": "http://example.edu/img/badge.png"
    },
    "providerSubjectId": {
      "mapFrom": "authenticationProvider.subjectId"
    }
  },
  "revocable": true,
  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
  "expiresIn": {
    "years": 1,
    "months": 12,
    "weeks": 52,
    "days": 365,
    "hours": 24,
    "minutes": 1440,
    "seconds": 3600
  }
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

Delete a Semantic CWT Credential configuration

DELETE/v2/credentials/compact-semantic/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the Semantic CWT credentials configuration.

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"
Empty
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

How would you rate this page?

Last updated on

On this page